Manjaro KDE Edition
   472

Изначально не было центр программ

Я его установил Discover последней версии.

А он вылетает… Его специально по этой причине не было? А когда работать будет???

30 комментариев

avatar
Установил минимальный КДЕ а там хром. Установил Discover он работает. Но там нет Моззилы. Я установил арч мозилу.
И она не работает.

Да что такое то ??..
0
avatar
Выглядит красиво. Но сырая как вода, кде эта
0
avatar
при чем здесь кде? Если не запускается какое-то приложение, это не проблема окружения, что говорит запуск
firefox

в терминале?
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
Привет извини что вмешиваюсь выхлоп терминала показал
[casper@casper ~]$ firefox

(firefox:3746): Gtk-WARNING **: 17:20:32.200: Theme directory actions32@2x of theme breeze-dark has no size field

(firefox:3746): Gtk-WARNING **: 17:20:32.431: Theme parsing error: :1:34: Expected ')' in color definition

(firefox:3746): Gtk-WARNING **: 17:20:32.431: Theme parsing error: :1:76: Expected ')' in color definition

(firefox:3746): GLib-GIO-WARNING **: 17:20:35.521: /etc/xdg/kde-mimeapps.list contains a [Added Associations] group, but it is not permitted here. Only the non-desktop-specific mimeapps.list file may add or remove associations.
но мазилка запустилась хотя ей почти не пользуюсь
0
avatar
Привет, хорошо, что у тебя работает, а вот у ТС-а почему-то не хочет, вот я и спросил, предполагаю, что у него выхлоп терминала будет отличаться от твоего, да и от моего тоже))
Последний раз редактировалось
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
Просто меня сперва немного напрягло что выскочило предупреждение как смогла перевела там про темы
Спасибо что откликнулся )))))
0
avatar
у меня тоже всякая ерунда сыпется, не критично
Спойлер!
(firefox:18785): Gtk-WARNING **: 17:47:43.827: Theme parsing error: gtk.css:115:31: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:18785): Gtk-WARNING **: 17:47:43.827: Theme parsing error: gtk.css:116:24: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:18785): Gtk-WARNING **: 17:47:43.827: Theme parsing error: gtk.css:145:27: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:18785): Gtk-WARNING **: 17:47:43.827: Theme parsing error: gtk.css:146:29: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:18785): Gtk-WARNING **: 17:47:43.827: Theme parsing error: gtk.css:166:34: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:18785): Gtk-WARNING **: 17:47:43.827: Theme parsing error: gtk.css:187:34: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(firefox:18785): Gtk-WARNING **: 17:47:43.836: Theme parsing error: gtk.css:3601:22: 'none' is not a valid color name

(firefox:18785): Gtk-WARNING **: 17:47:44.416: Theme parsing error: <data>:1:34: Expected ')' in color definition

(firefox:18785): Gtk-WARNING **: 17:47:44.416: Theme parsing error: <data>:1:77: Expected ')' in color definition
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
Сделал, увидел что надо установить glib (not found) И он запустился! Но система перестала реагировать. Решил перезагрузить и он умер…

Скрин что писало при загрузке
cdn1.savepice.ru/uploads/2018/10/21/67a0c5fa8a0651b818ffb436e75d76cb-full.jpg
0
avatar
Хм. странные вещи, интернет говорит, что статус 127 означает, что команда не найдена, хотя у меня файл ostree-system-generator вообще по указанному пути отсутствует, зачем он нужен, для меня загадка(да и не интересно), и вряд ли это связано с огнелисом.
попробуй загрузиться из лайф, чрутнуться и переустановить ostree
sudo pacman -S ostree
Последний раз редактировалось
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
Знаешь меня иногда не перестают удивлять люди как ставят систему и потом наступают на грабли --ведь установщик такой понятливый ребёнок понять сможет
да пусть я сама в маджаро мало понимаю но кое что уже усвоила и прежде чем что то новое поставить гуглю и читаю на арч-вики хотя там порой не нахожу ответа
не секрет что как перешла на маджаро иногда система преподносила "«сюрпризы»«лечилась переустановкой основного раздела но сейчас тьфутьфу вроде всё работает прям иногда скучно становиться ))))
+1
avatar
Марин, не поверишь)) Вообще никаких проблем с момента установки нету)) Как люди умудряются ума не приложу))
У меня как раз KDE Minimal
Последний раз редактировалось
?
root@localhost~ Если я попался вам навстречу, значит вам со мной не по PuTTY!
+1
avatar
Здравствуй здравствуй! У мну полная 5-14-1 полёт нормальный вот правда боюсь минт обновлять как пить дать манжаро слетит или сново паника ядра выведет на экран --такое не раз бывало а пока что в консоле я слаба востанавливать загрузчик манжаро
0
avatar
KDE Minimal. Уже почти год сижу еще и на btrfs. Ни одной проблемы. Распрямляйте руки.
Последний раз редактировалось
?
root@localhost~ Если я попался вам навстречу, значит вам со мной не по PuTTY!
+2
avatar
Начнём с того что выпрямлять руки в GUI устоновочнике негде было. Особенно открыть терминал и написать
pacman -S firefox
Так же как с Discover

И хочу напомнить — ошибок не бывает только у тех, кому ничего не нужно.

Вот почему изначально нет Discover ???



ПРоблема точно в системе, так как сейчас установился из manjaro architect и опять же не работает Discover

Будем честны, виноваты не кривые руки — пользователя. А того, кто поставляет такие системы — неполные
Спойлер!
~ >>> plasma-discover %F
file:///usr/lib/qt/qml/org/kde/kirigami.2/GlobalDrawer.qml:258: TypeError: Cannot read property 'length' of undefined
file:///usr/lib/qt/qml/org/kde/kirigami.2/GlobalDrawer.qml:293: TypeError: Cannot read property 'length' of undefined
file:///usr/lib/qt/qml/org/kde/kirigami.2/GlobalDrawer.qml:292: TypeError: Cannot read property 'length' of undefined
org.kde.plasma.discover: Trying to open unexisting file QUrl(«file:///home/nikita/%25F»)
org.kde.plasma.libdiscover: error loading «flatpak-backend» «Cannot load library /usr/lib/qt/plugins/discover/flatpak-backend.so: (libflatpak.so.0: невозможно открыть разделяемый объектный файл: Нет такого файла или каталога)» QJsonObject({«IID»:«org.kde.muon.AbstractResourcesBackendFactory»,«MetaData»:{},«className»:«FlatpakBackendFactory»,«debug»:false,«version»:330498})
org.kde.plasma.libdiscover: error loading «fwupd-backend» «Cannot load library /usr/lib/qt/plugins/discover/fwupd-backend.so: (libfwupd.so.2: невозможно открыть разделяемый объектный файл: Нет такого файла или каталога)» QJsonObject({«IID»:«org.kde.muon.AbstractResourcesBackendFactory»,«MetaData»:{},«className»:«FwupdBackendFactory»,«debug»:false,«version»:330498})
org.kde.plasma.libdiscover: error loading «packagekit-backend» «Cannot load library /usr/lib/qt/plugins/discover/packagekit-backend.so: (libpackagekitqt5.so.1: невозможно открыть разделяемый объектный файл: Нет такого файла или каталога)» QJsonObject({«IID»:«org.kde.muon.AbstractResourcesBackendFactory»,«MetaData»:{},«className»:«PackageKitBackendFactory»,«debug»:false,«version»:330498})
invalid kns backend! "/etc/xdg/ksysguard.knsrc" because: «Config group not found! Check your KNS3 installation.»
invalid kns backend! "/etc/xdg/servicemenu.knsrc" because: «Config group not found! Check your KNS3 installation.»
zsh: segmentation fault (core dumped) plasma-discover %F
~ >>> [139]

0
avatar
Discover заработал после того как выполнил
pacman -S plasma-meta kde-applications-meta kf5 kf5-aids

и установил всё что предложило
0
avatar
почему изначально нет Discover ???
А кто сказал что он должен быть?
такие системы — неполные
Минимальные. Это ж Арч, он такой.
?
Правильные ответы начинаются с правильных вопросов.
0
avatar
А кто сказал что он должен быть?"
потому что он входит в состав kde userbase.kde.org/Applications/System/ru
и должен входить.
Минимальные. Это ж Арч, он такой.
А Discover не запустился из полной системы
Последний раз редактировалось
0
avatar
потому что он входит в состав kde
Входит, но не как обязательный компонент. И без него можно жить, в конце концов это всего лишь еще одна оболочка для пакетного менеджера.
не запустился из полной системы
Запустился же, и работает. После того как все нужные пакеты поставили.
?
Правильные ответы начинаются с правильных вопросов.
0
avatar
сорян, перепутал Discover с каким-то месенджером
Последний раз редактировалось
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
или программы, требующие зоопарк зависимостей, непредусмотренных издателем…

А Discover из kde не предусмотрен производителем manjaro по причине того, что не разобрались какие пакеты нужны? Что бы не разводить заопарк

— И так сойдёт! ©
0
avatar
я исправил сообщение, так а что с этим вопросом?
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
Я переустановил систему. Так как доступа к терминалу не было. Система то не загружалась
0
avatar
liveUSB не загрузилась?
?
Manjaro 18.0.0-rc XFCE x86_64 Linux 4.18.16-1-MANJARO Stable branch
0
avatar
Я использую AIO BOOT. Это загрзучик ISO образов, прям с обычного встроенного жёского диска
0
avatar
Discover из kde не предусмотрен производителем manjaro по причине того, что не разобрались какие пакеты нужны?
Наоборот- разобрались, какие пакеты НЕ НУЖНЫ. Discover вошел в их число.
?
Правильные ответы начинаются с правильных вопросов.
+2
avatar
Наоборот- разобрались, какие пакеты НЕ НУЖНЫ. Discover вошел в их число.

Действительно, зачем системе нужна программа предоставляющая программы — плагины, и так далее — разные плюшки.

Я перешёл на mint 19 и установил kde. Приятно удивлён что всё работает, обычной установкой пакетов…

А вид тот же — привлекательный очень
0
avatar
Привет
Минт 19 у меня стоит 2 системой на компе правда на крыске но почему то всегда выбираю маджаро при загрузке--нравиться больше шустрей и отзывчивей хотя иногда и приподносит сюрпризы но тут как повезёт--сейчас на кедах сижу полёт стабильный)))
0
avatar
зачем системе нужна программа предоставляющая программы
Действительно, зачем. Зачем очередная графическая приблуда, предоставляющая доступ к пакетному менеджеру, который собственно всем Вами перечисленным и занимается?
всё работает, обычной установкой пакетов…
Удивительно. Прямо как и здесь- только без роллинга и репы нужно искать и подключать…
Я перешёл на mint 19
Нормально. Многие минтоводы с версии на версию переходят через другой дистр. Сам минт с этим справляется не очень. :)
?
Правильные ответы начинаются с правильных вопросов.
0
avatar
По мне, так Discover — тормознутая вещь и нафиг он не нужен, сношу первым делом. Для гуя есть простенький Octopi если нужно поискать что-то или зависимости там посмотреть, а в остальном — pacman. Тем более, что даже сами Манджаровцы когда большие релизы выкатывают, пишут — «обновление очень большое (и если не хотите проблем), используйте pacman-а для апдейта».

Welcome to another stable update. Since this update is huge we recommend to install it from within a terminal: pamac upgrade or sudo pacman -Syu
forum.manjaro.org/t/stable-update-2018-10-08-kernels-gnome-3-30-cinnamon-deepin-pamac-spl-zfs/60670
0
avatar
Не люблю Octopi, криво сделан. Pamac намного лучше, пусть даже он инороден в KDE.
0
Только зарегистрированные и авторизованные пользователи могут оставлять комментарии.